org.gnome.gtk

## Class CheckButton

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.Button
              - - org.gnome.gtk.ToggleButton
                - - org.gnome.gtk.CheckButton

- All Implemented Interfaces:
    Activatable
  Direct Known Subclasses:
    RadioButton

      public class CheckButton
      extends ToggleButton

  A toggle button widget that consists of a Check box and a Text box.

  CheckButtons are similar to ToggleButtons, but look very different. Contrary to ToggleButtons, which are Buttons with text inside them, they are small check squares, with descriptive text beside them. As with ToggleButtons, they can be used to toggle options on or off.

  CheckButtons derive from ToggleButtons and hence behave somewhat similarly. See in particular the `TOGGLED` Signal inherited from ToggleButton to detect changes in state to the CheckButton.

  The choice between a CheckButton and a `ToggleButton` is left to the developer's discretion. A CheckButton can take considerably lesser space than a ToggleButton. A CheckButton is more useful when you have a list of related options that need to be set or unset. A ToggleButton could be used when a single option needs to be toggled.

  Since:
    4.0.3
  Author:
    Sebastian Mancke, Andrew Cowie, Srichand Pendyala

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.ToggleButton

      `ToggleButton.Toggled`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Button

      `Button.Clicked`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckButton()` Construct a new CheckButton.
    `CheckButton(String label)` Construct a new CheckButton containing a label with the given text.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gtk.ToggleButton

      `connect, getActive, setActive`

    - ### Methods inherited from class org.gnome.gtk.Button

      `connect, emitClicked, getAlignmentX, getAlignmentY, getImage, getLabel, getRelatedAction, getRelief, setAlignment, setFocusOnClick, setImage, setLabel, setRelatedAction, setRelief`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckButton

          public CheckButton()

      Construct a new CheckButton.

    - #### CheckButton

          public CheckButton(String label)

      Construct a new CheckButton containing a label with the given text. If the text contains an underscore (the `_`character) it will be taken to be the mnemonic for the Widget.``